%% See README.writers
%% License: CC-BY-SA-3.0
\section{Attendee Impressions}

% This section lists blogposts talking about DebConf14

% Please:
% a) Write or find blogposts
% b) Get explicit permission from the author for his quote being included in this report under CC-BY-SA-3.0
% c) Use the following template:

% % Permission: (detail how and when)
% \blogpost{url-of-the-blog-post}{Name-of-the-blogpost-author}{%
%   Full Quote
% }

% Permission requested by mail on Oct 5th to admwiggin@gmail.com
% Received by mail on Oct 5th. from admwiggin@gmail.com
\blogpost{http://deb.li/jOTG}{Tianon}{%
I was given the opportunity to attend DebConf in Portland this year, and I must
say that it took me entirely by surprise (as a first-time attendee).

Most conferences have several strong talk tracks and you end up spending a lot
of time sitting in talks wondering when they'll be over. At DebConf, there's an
entirely different dynamic, with a strong focus on what they like to call “the
hallway track” (which this year has taken place a lot in the hacklabs, too).
Everyone here wants to either talk about building cool stuff, or sit down and
actually build some cool stuff. A large number of the talks are just launchpads
for informal Q\&As or actual hack sessions.

By coming, I've learned a lot about the Debian community and how it operates as
a whole, and managed to meet a lot of very interesting and cool people (not to
mention getting a bunch of them to sign my GPG key, which is also nice).

Hopefully I'll be able to attend more DebConfs in the future, because I've had a
great time!
}

% Permission requested by mail on Oct 5th to lunar@debian.org
% Permission received by mail on Oct 5th from lunar@debian.org
\blogpost{http://deb.li/3DcPM}{Lunar}{%
DebConf14 was a very productive time for reproducible builds.

On August 26, I held first a talk about the current state, and later a smaller
discussion about how to move forward.

I must admit I was nervous before doing the talk as there hadn't been that
much progress since the talk at FOSDEM'14. But it went well, and reception
was beyond my hopes. There has been no pushback on the suggested solution
on defining a canonical path where packages must be built. A couple of
members of the Debian technical committee who attended the talk showed
support and interest which was a good sign.

The evening discussion was attended by 20 people. The main objective was to
define the framework in which we could consider Debian package
reproducible. We agreed that the time of the latest entry in
‘debian/changelog’ was a sane source if binary packages needed to embed
timestamps. We realized that using ‘.changes’ files as the input of a
rebuild process would be both impractical and abusing their intended
meaning. So we started sketching the content of ‘.buildinfo’ files which
would be stored by the archive and would contain everything needed to
perform a rebuild.

We also discussed the choice of a canonical build path, the current set of
patches that were used for the previous rebuild experiments, a
post-processing addition to debhelper called “dh\_strip\_nondeterminism”, and
sbuild support.

\figgraph{b}{1.0}{images/photos/impressions_bof}{Constructive technical
  discussions in a friendly atmosphere}{aigarius}
What is pretty amazing is the amount of work that was done in the following
days leveraging on the discussion: the ‘.buildinfo’ format has been
specified, and reviewed; there were patches written and submitted for
stable file order in control and data archives, deterministic headers,
removing non-determistic data from static libraries, getting a stable order
in the generated control fields in Python packages, generating the
‘.buildinfo’ file; new tools to help all along the process were also written;
discussions with upstream authors to fix problematic situations were
started; and in general a lot of great work was done to allow us to make a
lot of progress. Congrats to everybody involved!

We are now performing another archive-wide rebuild using the new set of
patches and assumptions through Jenkins.
}

% Permission requested on Oct 5th to juliana.m.louback@gmail.com
% Permission received on Oct 11th from juliana.m.louback@gmail.com
\blogpost{http://deb.li/BFOy}{Juliana Louback}{%
I have to say networking was the highlight of the Debconf for me. Before
attending, I had only been in contact with 3 people that were at the
conference, and those 3 had been virtual contacts, I didn’t really know
them. So on my first day I spent quite some time shyly peeking at people’s
name tags, trying to recognize someone I had ‘met’ over email or IRC. But
with 300 or so people at the conference, I was unsuccessful.

So I finally gave up on that strategy and walked up to a random person,
stuck out my hand and said, “Hi. My name is Juliana. This is my first
Debconf. What’s your name and what do you do for Debian?” This may not be
according to protocol, but it worked for me. I got to meet lots of people
that way, met some Debian contributos from my home country (Brazil), some
from my current city (NYC), and yet others that had similar interests as I
do who I might work with in the near future.

For example, I love Machine Learning, I’m currently beginning my graduate
studies on that track. Several Debian contributors offered to introduce me
to a well known Machine Learning researcher and Debian contributor who is
in New York. Others had tried out my JSCommunicator project, and had lots
of suggestions for new features and fixes, or wanted to know more about the
project and WebRTC in general. Also, not everyone there was a super
experienced Debian contributor or user, there were a lot of newbies like
me.

I got to do a quick 20-min presentation and demo of the work I had done on
JSCommunicator during Google Summer of Code. That was nerve-wracking, but
not half as painful as I expected. My mentor, Daniel Pocock, had wisely
suggested that when confronted with a question I didn’t know how to answer,
I should redirect the question to the audience, as chances are there is
someone there that knows the answer; and even if not, it will at least
spark a good discussion.
}
\vspace{2em}

% Permission requested by mail on Oct 5th to noodles@earth.li
% Permission received by mail on Oct 6th from noodles@earth.li
\blogpost{http://deb.li/3TVG4}{Jonathan McDowell}{%
This year DebConf was held in Portland, OR. This is a city I've been to
many times before, and enjoy, but I hadn't spent any time wandering around
its city centre as a pedestrian. I was pleased that the location was super
easy to get to and from the airport via public transportation, all of the
evening social events were within reasonable walking distance (I'll tend to
default to walking when possible) and the talk venue/accommodation were
close to each other and various eating and drinking options, additionally
Portland also managed to produce some excellent weather.

This year the conference format was a bit different; previous years have
had a week long DebCamp before the week of the conference itself. This year
went for a 9 day talk schedule (Saturday $\to$ Sunday) with various gaps of
hacking time interspersed. I've found it hard to justify a full two weeks
away in the past, so this setup worked a lot better from my viewpoint. Also
I rarely go to DebConf with a predetermined list of things to do; the stuff
I work on naturally falls out of talks I attend and informal discussions I
have. Having hack time throughout the conference helped me avoid feeling I
was having to trade off hacking vs talks.

Naturally enough a lot of my involvement at DebConf was around OpenPGP.
Gunnar and I spent a fair bit of time getting Daniel up to speed with the
keyring-maint team. We finally set a hard timeframe for freeing Debian of
older 1024 bit keys.  I was introduced to the Gnuk, which is a particularly
interesting piece of open specification hardware with a completely Free
software stack on top if it that implements the OpenPGP smartcard spec.

These are the sort of things that really benefit from the face time that
DebConf offers to the Debian project. I've said it before, but I think it's
worth saying again: Debian is a bit like a huge telecommuting organization
and it's my opinion that any such organization should try and ensure its
members actually spend some time together on a regular basis. It improves
the ability to work remotely an amazing lot if you can actually put a face
to the entity you're emailing/IRCing and have some sort of idea where
they're coming from because you've spent some time with them, whether
that's in talks or over dinner or just casual hallway chats.

For once I also found myself considering alternative employment while at
DebConf and it was incredibly useful to be able to have various
conversations with both old friends and people who were there with an eye
on recruitment. I'd like to thank all those whose ears I bent about the
subject. I would also like to thank the many people involved with the
organization of DebConf; I've been on the periphery a few times over the
years and it's given me a glimpse into the amount of hard work all of the
volunteers (be they global team, local organizing team, video team or just
random volunteers) put into making DebConf one of my must-attend yearly
conferences. To anyone involved in Debian that hasn't attended, I strongly
urge them to do so - I'll see you all next year at DebConf15 in Heidelberg!
}
\vfill
\figgraph{b}{1.0}{images/photos/impressions_keysigning}{Keysigning party}{gwolf}

% Permission requested on Oct 5th to lyz@princessleia.com
% Permission received on Oct 5th from lyz@princessleia.com
\blogpost{http://deb.li/LB3V}{Elizabeth K.\ Joseph}{%
I’ve been a Debian user since 2002 and got my first package into Debian in
2006. Though I continued to maintain a couple packages through the years,
my open source interests (and career) have expanded significantly so that I
now spend much more time with Ubuntu and OpenStack than anything else.
Still, when I learned that DebConf14 would only be quick plane flight away
from home I was eager for the opportunity to attend.

Thursday was particularly interesting to me because they were doing most of
the Debian Validation \& Continuous Integration discussions then. Given my
day job on the OpenStack Infrastructure team, it seemed to be a great place
to meet other folks who are interested in CI and see where our team could
support Debian’s initiatives.

An interesting question was what kinds of integration tests people wanted,
various ideas were covered, including package sets (collections of related
packages) and how to inject “dirty” data into systems to test in more real
world like situations. Someone also mentioned doing tests on more real
systems rather than in chrooted environments.

Discussion touched upon having a Gerrit-like workflow that had packages
submitted for review and testing prior to landing in the archive. This led
to my having some interesting conversations with the drivers of Gerrit
efforts in Debian. There was also discussion about notification to
developers when their packages run afoul of the testing infrastructure,
either themselves or as part of a dependency chain, including questions
like who wants the notifications and how to make them useful and not
overwhelming.

\figgraph{b}{1.0}{images/photos/impressions_ping_pong}{Playing ping-pong
  at the cheese and wine party}{formorer}
\pagebreak
It’s really exciting to see more effort being spent on testing in Debian,
and open source projects in general. This has long been the space of
companies doing private, internal testing of open source products they use
and reporting results back to projects in the form of patches and bug
reports. Having the projects themselves provide QA is a huge step for the
maturity of open source, and I believe will lead to even more success for
projects as we move into the future.
}

% Permission requested on Oct 5th to mail@joachim-breitner.de
% Permission received on Oct 5th from nomeata@debian.org
\blogpost{http://deb.li/31Ocg}{Joachim “nomeata” Breitner}{%
I mostly enjoyed this year’s DebConf. I must admit that I did not come very
prepared: I had neither something urgent to hack on, nor important things
to discuss with the other attendees, so in a way I had a slow start. I also
felt a bit out of touch with the project, both personally and technically:
In previous DebConfs, I had more interest in many different corners of the
project, and also came with more naive enthusiasm. After more than 10 years
in the project, I see a few things more realistic and also more relaxed,
and don’t react on “Wouldn’t it be cool to have crazy idea” very easily any
more. And then I mostly focus on Haskell packaging (and related tooling,
which sometimes is also relevant and useful to others) these days, which is
not very interesting to most others.

But in the end I did get to do some useful hacking, heard a few interesting
talks and even got a bit excited: I created a new tool to schedule binNMUs
for Haskell packages which is quite generic (configured by just a regular
expression), so that it can and will be used by the OCaml team as well, and
who knows who else will start using hash-based virtual ABI packages in the
future.

Unsurprisingly, I also held a talk on Haskell and Debian. I talked a bit
too long and we had too little time for discussion, but in any case not all
discussion would have fitted in 45 minutes. The question of which packages
from Hackage should be added to Debian and which not is still undecided. I
guess the better our tooling gets, the more easily we can support more and
more packages.

I am quite excited by and supportive of Enrico’s agenda to remove
boilerplate data from the debian/ directories and relying on
autodebianization tools. We have such a tool for Haskell package,
cabal-debian, but it is unofficial, i.e.  neither created by us nor fully
endorsed. I want to change that, so I got in touch with the upstream
maintainer and we want to get it into shape for producing perfect Debian
packages, if the upstream provided meta data is perfect. I’d like to see
the Debian Haskell Group follow Enrico’s plan to its extreme conclusion,
and this way drive innovation in Debian in general.
\pagebreak

Besides all the technical program I enjoyed the obligatory games of Mao and
Werewolves. I also got to dance! On Saturday night, I found a small but
welcoming Swing-In-The-Park event where I could dance a few steps of Lindy
Hop.  And on Tuesday night, Vagrant Cascadian took us (well, three of us)
to a blues dancing night, which I greatly enjoyed.
}

% Permission requested by mail on Oct 5th to ana@debian.org
% Permission received by mail on Oct 5th from ana@debian.org
\blogpost{http://deb.li/3iXKN}{Ana Guerrero López}{%
DebConf14 has been amazing, it has been great to be back after missing it
for two years. Thanks a lot to everybody who helped to make it real. On my
side, I helped a bit in the talks team.

During DebConf14, I got the opportunity to discuss with Rene Mayorga about
the MIA work-flow and we also got some feedback in the MIA BoF. We have
plenty of ideas to implement and we’re aiming to improve things during this
next year.

This summer has been also 10 years since I started contributing to Debian.
It’s hard to believe. Ten years ago I barely knew where to start helping
and now I have an endless TODO list of things I would like to do. And
always during DebConf this list seems to grow ten times faster than usual.
Thankfully, also motivation increases a lot :)
}

% Permission requested by mail on Oct 5th to joseph.bisch@gmail.com
% Waiting for confirmation
%\blogpost{http://deb.li/iQZyx}{Joseph Bisch}{
%Debconf14 was the first Debconf I attended. It was an awesome experience.
%
%Debconf14 started with a Meet and Greet before the Welcome Talk. I got to
%meet people and find out what they do for Debian. I also got to meet other
%GSoC students that I had only previously interacted with online. During the
%Meet and Greet I also met one of my mentors for GSoC, Zack. Later in the
%conference I met another of my mentors, Piotr. Previously I only interacted
%with Zack and Piotr online.
%
%On Monday we had the OpenPGP Keysigning. I got to meet people and exchange
%information so that we could later sign keys. Then on Tuesday I gave my
%talk about debmetrics as part of the larger GSoC talks.
%
%During the conference I mostly attended talks. Then on Wednesday we had the
%daytrip. I went hiking at Multnomah Falls, had lunch at Rooster Rock State
%Park, and then went to Vista House.
%
%Later in the conference, Zack and I did some work on debmetrics. We looked
%at the tests, which had some issues. I was able to fix most of the issues
%with the tests while I was there at Debconf. We also moved the debmetrics
%repository under the qa category of repositories. Previously it was a
%personal repository.
%}

% Permission requested by mail on Oct 5th to jcristau@debian.org
% Permission received by mail on Oct 5th from jcristau@debian.org
\blogpost{http://deb.li/wBw2}{Julien Cristau}{%
As usual the conference was a blur, with lots of talks, lots of new people, and
lots of old friends. The organizers tried to do something different this year,
with a longer conference (9 days instead of a week) and some dedicated hack
time, instead of a pre-DebConf “DebCamp” week. That worked quite well for me, as
it meant the schedule was not quite so full with talks, and even though I didn't
really get any hacking done, it felt a bit more relaxed and allowed some more
hallway track discussions.

On the talks side, the keynotes from Zack and Biella provided some interesting
thoughts. Some nice progress was made on making package builds reproducible. I
gave two talks: an introduction to salt, and a report on the Debian jessie
release progress.

And as usual all talks were streamed live and recorded, and many are already
available thanks to the awesome DebConf video team.
}

% Permission requested by mail on Oct 5th to terceiro@debian.org
% Confirmation received by mail on Oct 7th from terceiro@debian.org
\blogpost{http://deb.li/ixFE0}{Antonio Terceiro}{%
This year I wasn’t able to attend the full DebConf, I arrived at
Portland on Tuesday, the fourth day of the conference. Even though I would
have preferred to arrive earlier, the loss was alleviated by the work of
the amazing DebConf video team. I was able to follow remotely most of the
sessions I would have attended if I had been there already.

As I say to everyone, DebConf is for sure the best conference I have ever
attended. The technical and philosophical discussions that take place in
talks, BoF sessions or even unplanned ad-hoc gathering are deep. The
hacking moments where you have a chance to pair with fellow developers,
with whom you usually only have contact remotely via IRC or email, are
precious.

That is all great. But definitively, catching up with old friends, and
making new ones, is what makes DebConf so special. Meeting old friends
again after so much time is always a pleasure and new friendships will
already start with a powerful bond, which is being part of the Debian
community.

Despite all of the discussions, being in the audience for several talks,
other social interactions and whatnot, during this DebConf I have managed
to do quite some useful work. I gave a talk where I discussed past,
present, and future of debci and the Debian Continuous Integration project.
During the talk I mentioned that the Ruby team had worked on a way to
automate running their package test suites against the installed packages;
then, right after the talk I was glad to discover that the Perl team is
also working on a similar tool for their packages. We agreed that they
would send me a whitelist of packages in which we could just call that tool
and have it do The Right Thing, so putting together Ruby and Perl packages,
we would have CI testing for more than 3,000 packages for free!

During a few days I have mentored Lucas Kanashiro, who also attended
DebConf, on writing a patch to add support for email notifications in debci
so maintainers can be pro-actively notified of status changes (pass/fail,
fail/pass) in their packages. I have also started hacking on the support
for distributed workers, based on the initial work by Martin Pitt.

I had some discussion with Christian Hofstaedtler about making Rubygems
install to \$HOME by default when the user is not root. We discussed a few
implementation options, and while I don’t have a solution yet, we have a
better understanding of the potential pitfalls. I was also able to make
Redmine work with the Rails 4 stack we currently have in unstable/testing.
Finally, I gave a lighting talk on Noosfero, a platform for social
networking websites I am upstream for.
}



%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "dc14-report.en"
%%% End: 
